// SPDX-License-Identifier: Apache-2.0
import ValidatedRequest from "../../../../../../core/validation/ValidatedArgs";
import FormatValidation from "../../../FormatValidation";
export default class RecoveryAddressRequest extends ValidatedRequest {
    securityId;
    lostWalletId;
    newWalletId;
    constructor({ securityId, lostWalletId, newWalletId, }) {
        super({
            securityId: FormatValidation.checkHederaIdFormatOrEvmAddress(),
            lostWalletId: FormatValidation.checkHederaIdFormatOrEvmAddress(),
            newWalletId: FormatValidation.checkHederaIdFormatOrEvmAddress(),
        });
        this.securityId = securityId;
        this.lostWalletId = lostWalletId;
        this.newWalletId = newWalletId;
    }
}
